GWT 2.7.0

## com.google.gwt.typedarrays.shared
Interface DataView

All Superinterfaces:
  ArrayBufferView

All Known Implementing Classes:
  DataViewImpl, DataViewNative, DataViewNativeEmul

    public interface DataView

extends ArrayBufferView

A view representing an `ArrayBuffer` as heterogeneous values. "http://www.khronos.org/registry/typedarray/specs/latest/#8"

Method Summary
`float` | `getFloat32(int byteOffset)`
`float` | `getFloat32(int byteOffset, boolean littleEndian)`
`double` | `getFloat64(int byteOffset)`
`double` | `getFloat64(int byteOffset, boolean littleEndian)`
`short` | `getInt16(int byteOffset)`
`short` | `getInt16(int byteOffset, boolean littleEndian)`
`int` | `getInt32(int byteOffset)`
`int` | `getInt32(int byteOffset, boolean littleEndian)`
`byte` | `getInt8(int byteOffset)`
`int` | `getUint16(int byteOffset)`
`int` | `getUint16(int byteOffset, boolean littleEndian)`
`long` | `getUint32(int byteOffset)`
`long` | `getUint32(int byteOffset, boolean littleEndian)`
`double` | `getUint32AsDouble(int byteOffset)`
`double` | `getUint32AsDouble(int byteOffset, boolean littleEndian)`
`short` | `getUint8(int byteOffset)`
`void` | `setFloat32(int byteOffset, float value)`
`void` | `setFloat32(int byteOffset, float value, boolean littleEndian)`
`void` | `setFloat64(int byteOffset, double value)`
`void` | `setFloat64(int byteOffset, double value, boolean littleEndian)`
`void` | `setInt16(int byteOffset, int value)`
`void` | `setInt16(int byteOffset, int value, boolean littleEndian)`
`void` | `setInt32(int byteOffset, int value)`
`void` | `setInt32(int byteOffset, int value, boolean littleEndian)`
`void` | `setInt8(int byteOffset, int value)`
`void` | `setUint16(int byteOffset, int value)`
`void` | `setUint16(int byteOffset, int value, boolean littleEndian)`
`void` | `setUint32(int byteOffset, long value)`
`void` | `setUint32(int byteOffset, long value, boolean littleEndian)`
`void` | `setUint32FromDouble(int byteOffset, double value)`
`void` | `setUint32FromDouble(int byteOffset, double value, boolean littleEndian)`
`void` | `setUint8(int byteOffset, int i)`

Methods inherited from interface com.google.gwt.typedarrays.shared.ArrayBufferView
`buffer, byteLength, byteOffset`

Method Detail

### getFloat32

    float getFloat32(int byteOffset)

### getFloat32

    float getFloat32(int byteOffset,
                     boolean littleEndian)

### getFloat64

    double getFloat64(int byteOffset)

### getFloat64

    double getFloat64(int byteOffset,
                      boolean littleEndian)

### getInt16

    short getInt16(int byteOffset)

### getInt16

    short getInt16(int byteOffset,
                   boolean littleEndian)

### getInt32

    int getInt32(int byteOffset)

### getInt32

    int getInt32(int byteOffset,
                 boolean littleEndian)

### getInt8

    byte getInt8(int byteOffset)

### getUint16

    int getUint16(int byteOffset)

### getUint16

    int getUint16(int byteOffset,
                  boolean littleEndian)

### getUint32

    long getUint32(int byteOffset)

### getUint32

    long getUint32(int byteOffset,
                   boolean littleEndian)

### getUint32AsDouble

    double getUint32AsDouble(int byteOffset)

  Parameters:
    `byteOffset` -
  Returns:
    unsigned 32-bit int as a double

### getUint32AsDouble

    double getUint32AsDouble(int byteOffset,
                             boolean littleEndian)

  Parameters:
    `byteOffset` -
    `littleEndian` -
  Returns:
    unsigned 32-bit int as a double

### getUint8

    short getUint8(int byteOffset)

### setFloat32

    void setFloat32(int byteOffset,
                    float value)

### setFloat32

    void setFloat32(int byteOffset,
                    float value,
                    boolean littleEndian)

### setFloat64

    void setFloat64(int byteOffset,
                    double value)

### setFloat64

    void setFloat64(int byteOffset,
                    double value,
                    boolean littleEndian)

### setInt16

    void setInt16(int byteOffset,
                  int value)

### setInt16

    void setInt16(int byteOffset,
                  int value,
                  boolean littleEndian)

### setInt32

    void setInt32(int byteOffset,
                  int value)

### setInt32

    void setInt32(int byteOffset,
                  int value,
                  boolean littleEndian)

### setInt8

    void setInt8(int byteOffset,
                 int value)

### setUint16

    void setUint16(int byteOffset,
                   int value)

### setUint16

    void setUint16(int byteOffset,
                   int value,
                   boolean littleEndian)

### setUint32

    void setUint32(int byteOffset,
                   long value)

### setUint32

    void setUint32(int byteOffset,
                   long value,
                   boolean littleEndian)

### setUint32FromDouble

    void setUint32FromDouble(int byteOffset,
                             double value)

  Parameters:
    `byteOffset` -
    `value` -

### setUint32FromDouble

    void setUint32FromDouble(int byteOffset,
                             double value,
                             boolean littleEndian)

  Parameters:
    `byteOffset` -
    `value` -
    `littleEndian` -

### setUint8

    void setUint8(int byteOffset,
                  int i)

GWT 2.7.0